/**************************************************************************\
*
* All files in GdiPlusLib have been modified from the Microsoft
* GdiPlus C++ header files.
*
* Module Name:
*
*   GdiPlusStubs.h
*
* Abstract:
*
*   Stubs - forward declarations etc.
*
\**************************************************************************/

#ifndef _GDIPLUSSTUBS_H
#define _GDIPLUSSTUBS_H

typedef struct tagGpImageCodecInfo IMAGECODECINFO;

typedef struct tagColorPalette COLORPALETTE;
typedef struct tagGp_Color COLOR;
//---------------------------------------------------------------------------
// GDI+ classes for forward reference
//---------------------------------------------------------------------------
typedef struct tagGp_StringFormat GP_STRINGFORMAT;
typedef struct tagGp_Graphics GP_GRAPHICS;
typedef struct tagGp_Pen GP_PEN;
typedef struct tagGp_CustomLineCap GP_CUSTOMLINECAP;
typedef struct tagGp_CachedBitmap GP_GPCACHEDBITMAP;
typedef struct tagGp_ColorMap COLOR_MAP;
typedef struct tagGp_Brush GP_BRUSH;
typedef struct tagGp_Matrix GP_MATRIX;
typedef struct tagGp_Bitmap GP_BITMAP;
typedef struct tagGp_ColorMatrix COLORMATRIX;
typedef struct tagGp_Metafile GP_METAFILE;
typedef struct tagGdip_MetafileHeader GP_METAFILEHEADER;
typedef struct tagGp_GraphicsPath GP_GRAPHICSPATH;
typedef struct tagGp_PathIterator GP_PATHITERATOR;
typedef struct tagGp_Region GP_REGION;
typedef struct tagGp_Image GP_IMAGE;
typedef struct tagGp_TextureBrush GP_TEXTUREBRUSH;
typedef struct tagGp_HatchBrush GP_HATCHBRUSH;
typedef struct tagGp_SolidBrush GP_SOLIDBRUSH;
typedef struct tagGp_LinearGradientBrush GP_LINEARGRADIENTBRUSH;
typedef struct tagGp_PathGradientBrush GP_PATHGRADIENTBRUSH;
typedef struct tagGp_Font GP_FONT;
typedef struct tagGp_FontFamily GP_FONTFAMILY;
typedef struct tagGp_FontCollection GP_FONTCOLLECTION;
typedef struct tagGp_InstalledFontCollection GP_INSTALLEDFONTCOLLECTION;
typedef struct tagGp_PrivateFontCollection GP_PRIVATEFONTCOLLECTION;
typedef struct tagGp_ImageAttributes GP_IMAGEATTRIBUTES;
typedef struct tagGp_CachedBitmap GP_CACHEDBITMAP;

//---------------------------------------------------------------------------
// Internal GDI+ classes for internal type checking
//---------------------------------------------------------------------------
typedef struct tagGp_GpBrush { int unused; }GP_GPBRUSH;
typedef struct tagGp_GpTexture { int unused; }GP_GPTEXTURE;
typedef struct tagGp_GpTextureBrush { int unused; }GP_GPTEXTUREBRUSH;
typedef struct tagGp_GpSolidFill { int unused; }GP_GPSOLIDFILL;
typedef struct tagGp_GpLineGradient { int unused; }GP_GPLINEGRADIENT;
typedef struct tagGp_GpPathGradient { int unused; }GP_GPPATHGRADIENTBRUSH;
typedef struct tagGp_GpHatch { int unused; }GP_GPHATCH;
typedef struct tagGp_GpGraphics{ int unused; }GP_GPGRAPHICS;
typedef struct tagGp_GpMatrix { int unused; } GP_GPMATRIX;
typedef struct tagGp_GpCustomLineCap { int unused; }GP_GPCUSTOMLINECAP;
typedef struct tagGp_GpPen { int unused; }GP_GPPEN;
typedef struct tagGp_GpAdjustableArrowCap { int unused; } GP_GPADJUSTABLEARROWCAP;
typedef struct tagGp_GpImage{ int unused; }GP_GPIMAGE;
typedef struct tagGp_GpBitmap { int unused; }GP_GPBITMAP;
typedef struct tagGp_GpMetafile { int unused; } GP_GPMETAFILE;
typedef struct tagGp_GpImageAttributes { int unused; } GP_GPIMAGEATTRIBUTES;
typedef struct tagGp_GpPath { int unused; }GP_GPPATH;
typedef struct tagGp_GpPathData { int unused; } GP_GPPATHDATA;
typedef struct tagGp_GpGraphicsPath { int unused; }GP_GPGRAPHICSPATH;
typedef struct tagGp_PathData GP_PATHDATA;
typedef struct tagGp_GpRegion { int unused; }GP_GPREGION;
typedef struct tagGp_GpPathIterator { int unused; }GP_GPPATHITERATOR;
typedef struct tagGp_GpFont { int unused; } GP_GPFONT;
typedef struct tagGp_GpFontFamily { int unused; } GP_GPFONTFAMILY;
typedef struct tagGp_GpStringFormat { int unused; } GP_GPSTRINGFORMAT;
typedef struct tagGp_GpFontCollection { int unused; } GP_GPFONTCOLLECTION;
typedef struct tagGp_GpInstalledFontCollection { int unused; } GP_GPINSTALLEDFONTCOLLECTION;
typedef struct tagGp_GpPrivateFontCollection { int unused; } GP_GPPRIVATEFONTCOLLECTION;

#endif  // !_GDIPLUSGPSTUBS.HPP

